Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelopes.get-envelope ​

Retrieves the overall status for the specified envelope. To get the status of a list of envelopes, use Envelope: listStatusChanges . ### Related topics - How to get envelope information

Gets the status of a single envelope.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
advanced_updatestringNo—When true, envelope information can be added or modified.
includestringNo—Specifies additional information about the envelope to return. Enter a comma-separated list, such as tabs,recipients. Valid values are: - custom_fields: The custom fields associated with the envelope. - documents: The documents associated with the envelope. - attachments: The attachments associated with the envelope. - extensions: The email settings associated with the envelope. - folders: The folder where the envelope exists. - recipients: The recipients associated with the envelope. - powerform: The PowerForms associated with the envelope. - prefill_tabs: The pre-filled tabs associated with the envelope. - tabs: The tabs associated with the envelope. - payment_tabs: The payment tabs associated with the envelope. - workflow: The workflow definition associated with the envelope.
include_anchor_tab_locationsstringNo—When true, all tabs with anchor tab properties are included in the response. The default value is false.
user_idstringNo——

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
advanced_updatestringNo—When true, envelope information can be added or modified.
includestringNo—Specifies additional information about the envelope to return. Enter a comma-separated list, such as tabs,recipients. Valid values are: - custom_fields: The custom fields associated with the envelope. - documents: The documents associated with the envelope. - attachments: The attachments associated with the envelope. - extensions: The email settings associated with the envelope. - folders: The folder where the envelope exists. - recipients: The recipients associated with the envelope. - powerform: The PowerForms associated with the envelope. - prefill_tabs: The pre-filled tabs associated with the envelope. - tabs: The tabs associated with the envelope. - payment_tabs: The payment tabs associated with the envelope. - workflow: The workflow definition associated with the envelope.
include_anchor_tab_locationsstringNo—When true, all tabs with anchor tab properties are included in the response. The default value is false.
user_idstringNo——
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/envelopes/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/envelopes/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelopes.get-envelope",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "envelopeid": "value"
  }
}